{
  // Usare IntelliSense per informazioni sui possibili attributi.
  // Al passaggio del mouse vengono visualizzate le descrizioni degli attributi esistenti.
  // Per altre informazioni, visitare: https://go.microsoft.com/fwlink/?linkid=830387
  "version": "0.2.0",
  "configurations": [
    {
      "command": "npm run dev_noCheck",
      "name": "DEV (no-check-TS)",
      "request": "launch",
      "type": "node-terminal",
      "sourceMaps": false,
    },
    {
      "command": "npm run dev",
      "name": "DEV",
      "request": "launch",
      "type": "node-terminal"
    },
    {
      "command": "npm run spa",
      "name": "SPA",
      "request": "launch",
      "type": "node-terminal",
      "sourceMaps": false,
    },
    {
      "command": "npm run lint",
      "name": "Lint (Check ERRORI)",
      "request": "launch",
      "type": "node-terminal",
      "sourceMaps": false
    },
    {
      "command": "npm run pwa",
      "name": "PWA",
      "request": "launch",
      "type": "node-terminal",
      "env": {
        "NODE_ENV": "development"
      }
    },
    {
      "type": "chrome",
      "request": "launch",
      "name": "vuejs: Launch Chrome VITE_DEBUG",
      "url": "http://localhost:8088",
      "breakOnLoad": true,
      "webRoot": "${workspaceFolder}/src",
      "sourceMapPathOverrides": {
        "webpack:///src/*": "${webRoot}/*"
      }
    }
  ]
}